<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.7.2
Name: [7] Nazwisko i imię osoby (bazowy)
Description: Wzorzec CDA nazwiska osoby.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.7.2-2020-04-22T000000">
   <title>[7] Nazwisko i imię osoby (bazowy)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]
Item: (plCdaBasePersonName)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name
Item: (plCdaBasePersonName)
-->

   <rule context="*[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name"
         id="tmp-r-93b82717-aa6a-444c-8c67-112d2b5ab34a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2020-04-22T000000.html"
              test="count(hl7:prefix)&lt;=1">(plCdaBasePersonName): element hl7:prefix występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2020-04-22T000000.html"
              test="count(hl7:given)&gt;=1 ">(plCdaBasePersonName): element hl7:given jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2020-04-22T000000.html"
              test="count(hl7:family)&gt;=1 ">(plCdaBasePersonName): element hl7:family jest required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:prefix
Item: (plCdaBasePersonName)
-->

   <rule context="*[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:prefix"
         id="tmp-r-ee396c2d-dbe1-442d-8215-da7b04da86aa">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:given
Item: (plCdaBasePersonName)
-->

   <rule context="*[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:given"
         id="tmp-r-21ac9fe1-397e-4715-ab59-37d13be86187">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.7.2
Context: *[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:family
Item: (plCdaBasePersonName)
-->

   <rule context="*[hl7:name[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.7.2']]/hl7:name/hl7:family"
         id="tmp-r-ce79b6c5-87ae-4c2e-b5e3-7ec45add3568">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.7.2-2020-04-22T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ENXP' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaBasePersonName): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ENXP", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ENXP"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
